package com.nationrel.modules.rp.constant;

import com.google.common.collect.Maps;
import com.nationrel.modules.rp.model.ColumnsModel;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * @Description: TODO
 * @Date: 2024/3/28
 * @Version: V1.0
 */
public class RpConstant {

    public static final String ROOTNODE_PARENT = "00000000000000000000000000000000";

    public static final String STRU_TYPE_STRU = "01";

    /** @Fields TREENODE_TYPE_NONLEAF : 树节点类型-非叶子节点 */
    public static final String TREENODE_TYPE_NONLEAF = "0";
    /** @Fields TREENODE_TYPE_LEAF : 树节点类型-叶子节点 */
    public static final String TREENODE_TYPE_LEAF = "1";

    public static final Integer IS_DELETE = 1;
    public static final Integer NOT_DELETE = 0;

//    public static final String[] DEFAULT_COLUMNS = new String[] {
//            "产品层次", "预计方法", "大类", "小类", "总失效率", "数量", "作用关系", "单个失效率"
//    };

    public static final List<ColumnsModel> DEFAULT_COLUMNS = new ArrayList<>(){{
        add(new ColumnsModel(PRODUCT_HIERARCHY, "3"));
        add(new ColumnsModel(FUNCTION, "3"));
        add(new ColumnsModel(LARGE, "3"));
        add(new ColumnsModel(SMALL, "3"));
        add(new ColumnsModel(TOTAL_FAILURE_RATE, "4"));
        add(new ColumnsModel(COUNT, "5"));
        add(new ColumnsModel(RELATIONSHIP, "2"));
        add(new ColumnsModel(SINGLE_FAILURE_RATE, "4"));
    }};

    /** 根节点产品层次默认值 */
    public static final String DEFAULT_COL_VALUE = "1.1";

    /** 打开 */
    public static final String OPEN = "0";
    /** 关闭 */
    public static final String CLOSE = "1";
    /** 上移 */
    public static final String MOVE_UP = "2";
    /** 下移 */
    public static final String MOVE_DOWN = "3";

    public static final String DEFAULT_COUNT = "1";
    public static final String DEFAULT_RELATIONSHIP_VALUE = "7.1";
    public static final String PRODUCT_HIERARCHY_COMPONENT_VALUE = "元器件";

    public static final String PRODUCT_HIERARCHY = "产品层次";
    public static final String FUNCTION = "预计方法";
    public static final String LARGE = "大类";
    public static final String SMALL = "小类";
    public static final String TOTAL_FAILURE_RATE = "总失效率";
    public static final String COUNT = "数量";
    public static final String RELATIONSHIP = "作用关系";
    public static final String SINGLE_FAILURE_RATE = "单个失效率";
}
