package com.nationrel.modules.rp.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: prediction_category
 * @Author: nationrel
 * @Date: 2024-09-06
 * @Version: V1.0
 */
@Data
@TableName(value = "prediction_category", autoResultMap = true)
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description="prediction_category")
public class PredictionCategory implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @Schema(description = "主键")
    private String id;
	/**编号*/
	@Excel(name = "编号", width = 15)
    @Schema(description = "编号")
    private String code;
	/**值*/
	@Excel(name = "值", width = 15)
    @Schema(description = "值")
    private String value;
	/**分类类型  1- 大类   2- 小类   3- 表单标签  4- 表单域*/
	@Excel(name = "分类类型  1- 大类   2- 小类   3- 表单标签  4- 表单域", width = 15)
    @Schema(description = "分类类型  1- 大类   2- 小类   3- 表单标签  4- 表单域")
    private String categoryType;
	/**表单域类型  1- select   2- input*/
	@Excel(name = "表单域类型  1- select   2- input", width = 15)
    @Schema(description = "表单域类型  1- select   2- input")
    private String formType;
	/**上一级编号*/
	@Excel(name = "上一级编号", width = 15)
    @Schema(description = "上一级编号")
    private String parentCode;
    /**
     * 输入输出
     */
    @Excel(name = "输入输出", width = 15)
    @Schema(description = "输入输出")
    private String ioType;

    @Excel(name = "选择关联的提示code", width = 15)
    @Schema(description = "选择关联的提示code")
    private String selectPlaceholder;

    @Excel(name = "关联项", width = 15)
    @Schema(description = "关联项（根据关联的选项禁用/隐藏）")
    private String relationItem;
}
