package com.nationrel.modules.rp.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: prediction_category_options
 * @Author: nationrel
 * @Date: 2024-09-06
 * @Version: V1.0
 */
@Data
@TableName(value = "prediction_category_options", autoResultMap = true)
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description="prediction_category_options")
public class PredictionCategoryOptions implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @Schema(description = "主键")
    private String id;
	/**编号*/
	@Excel(name = "编号", width = 15)
    @Schema(description = "编号")
    private String code;
	/**名称*/
	@Excel(name = "名称", width = 15)
    @Schema(description = "名称")
    private String name;
	/**参考*/
	@Excel(name = "参考", width = 15)
    @Schema(description = "参考")
    private String reference;

    /**父编号*/
    @Excel(name = "父编号", width = 15)
    @Schema(description = "父编号")
    private String parentCode;

    /**提示*/
    @Excel(name = "提示", width = 15)
    @Schema(description = "提示")
    private String placeholder;
}
