package com.nationrel.modules.rp.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: prediction_columns
 * @Author: nationrel
 * @Date: 2024-08-26
 * @Version: V1.0
 */
@Data
@TableName(value = "prediction_columns", autoResultMap = true)
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description="prediction_columns")
public class PredictionColumns implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @Schema(description = "主键")
    private String id;
	/**预测信息ID*/
	@Excel(name = "预测信息ID", width = 15)
    @Schema(description = "预测信息ID")
    private String predictionId;
	/**列名*/
	@Excel(name = "列名", width = 15)
    @Schema(description = "列名")
    private String colName;
    /**列类型*/
    @Excel(name = "列类型", width = 15)
    @Schema(description = "列类型   1- input  2- select  3- inputSelect  4- cal  5- inputNumber")
    private String colType;
	/**排序*/
	@Excel(name = "排序", width = 15)
    @Schema(description = "排序")
    private Integer colSort;
	/**显示隐藏标识  0- 显示  1- 隐藏*/
	@Excel(name = "显示隐藏标识  0- 显示  1- 隐藏", width = 15)
    @Schema(description = "显示隐藏标识  0- 显示  1- 隐藏")
    private String displayFlag;
	/**版本*/
	@Excel(name = "版本", width = 15)
    @Schema(description = "版本")
    private Integer versionNo;
	/**创建人*/
    @Schema(description = "创建人")
    private String createBy;
	/**创建时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @Schema(description = "创建时间")
    private Date createTime;
	/**更新人*/
    @Schema(description = "更新人")
    private String updateBy;
	/**更新时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @Schema(description = "更新时间")
    private Date updateTime;
}
