package com.nationrel.modules.rp.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: prediction_info
 * @Author: nationrel
 * @Date: 2024-08-26
 * @Version: V1.0
 */
@Data
@TableName(value = "prediction_info", autoResultMap = true)
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description="prediction_info")
public class PredictionInfo implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @Schema(description = "主键")
    private String id;
	/**预测名称*/
	@Excel(name = "预测名称", width = 15)
    @Schema(description = "预测名称")
    private String rpName;
	/**编号 字母+数字*/
	@Excel(name = "编号 字母+数字", width = 15)
    @Schema(description = "编号 字母+数字")
    private String rpCode;
	/**描述*/
	@Excel(name = "描述", width = 15)
    @Schema(description = "描述")
    private String description;
	/**删除标识  0-未删除   1-已删除*/
	@Excel(name = "删除标识  0-未删除   1-已删除", width = 15)
    @Schema(description = "删除标识  0-未删除   1-已删除")
    @TableLogic
    private String delFlag;
	/**版本号*/
	@Excel(name = "版本号", width = 15)
    @Schema(description = "版本号")
    private Integer versionNo;
	/**创建人*/
    @Schema(description = "创建人")
    private String createBy;
	/**创建时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @Schema(description = "创建时间")
    private Date createTime;
	/**更新人*/
    @Schema(description = "更新人")
    private String updateBy;
	/**更新时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @Schema(description = "更新时间")
    private Date updateTime;
}
