package com.nationrel.modules.rp.entity;

import java.io.Serializable;
import java.util.Date;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: prediction_table
 * @Author: nationrel
 * @Date: 2024-09-02
 * @Version: V1.0
 */
@Data
@TableName(value = "prediction_table", autoResultMap = true)
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description="prediction_table")
public class PredictionTable implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @Schema(description = "主键")
    private String id;
	/**预测表主键*/
	@Excel(name = "预测表主键", width = 15)
    @Schema(description = "预测表主键")
    private String predictionId;
	/**结构表主键*/
	@Excel(name = "结构表主键", width = 15)
    @Schema(description = "结构表主键")
    private String struId;
	/**列主键*/
	@Excel(name = "列主键", width = 15)
    @Schema(description = "列主键")
    private String columnsId;
	/**value*/
	@Excel(name = "value", width = 15)
    @Schema(description = "value")
    private String value;
	/**创建人*/
    @Schema(description = "创建人")
    private String createBy;
	/**创建时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @Schema(description = "创建时间")
    private Date createTime;
	/**更新人*/
    @Schema(description = "更新人")
    private String updateBy;
	/**更新时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @Schema(description = "更新时间")
    private Date updateTime;
	/**版本（每次修改+1）*/
	@Excel(name = "版本（每次修改+1）", width = 15)
    @Schema(description = "版本（每次修改+1）")
    private Integer versionNo;
}
