package com.nationrel.modules.rp.controller;

import com.nationrel.modules.rp.entity.PredictionColumns;
import com.nationrel.modules.rp.service.IPredictionColumnsService;
import io.swagger.v3.oas.annotations.Operation;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.common.aspect.annotation.AutoLog;
import org.jeecg.common.system.base.controller.JeecgController;
import org.jeecg.config.i18n.MessageUtils;
import org.springframework.web.bind.annotation.*;

/**
* @Description: 计算
* @Author: nationrel
* @Date: 2024-09-10
* @Version: V1.0
*/
@RestController
@RequestMapping("/rp/calculate")
@Slf4j
public class PredictionCalculateController extends JeecgController<PredictionColumns, IPredictionColumnsService> {

    @AutoLog(value = "本地计算")
    @Operation(summary="本地计算")
    @RequestMapping(value = "/localCal", method = {RequestMethod.PUT,RequestMethod.POST})
    public Result<String> localCal() {
        log.info("本地计算...");
        return Result.OK(MessageUtils.get("nationrel_operation_success"));
    }

    @AutoLog(value = "接口计算")
    @Operation(summary="接口计算")
    @RequestMapping(value = "/apiCal", method = {RequestMethod.PUT,RequestMethod.POST})
    public Result<String> apiCal() {
        log.info("接口计算...");
        return Result.OK(MessageUtils.get("nationrel_operation_success"));
    }
}
