package com.nationrel.modules.rp.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nationrel.modules.rp.entity.PredictionStruTree;
import org.apache.ibatis.annotations.Param;

/**
 * @Description: prediction_stru_tree
 * @Author: nationrel
 * @Date:   2024-08-26
 * @Version: V1.0
 */
public interface PredictionStruTreeMapper extends BaseMapper<PredictionStruTree> {

    /**
     * @param rightNo   右序号
     * @param changeNum 变化数
     * @param perdictionId    预测主键
     * @Title: updateLeftNoByChangeNum
     * @Description: 更新左序号
     */
    void updateLeftNoByChangeNum(@Param("leftNo") Integer leftNo, @Param("changeNum") Integer changeNum, @Param("predictionId") String predictionId);

    /**
     * @param rightNo   右序号
     * @param changeNum 变化数
     * @param perdictionId    预测主键
     * @Title: updateRightNoByChangeNum
     * @Description: 更新右序号
     */
    void updateRightNoByChangeNum(@Param("rightNo") Integer rightNo, @Param("changeNum") Integer changeNum, @Param("predictionId") String predictionId);

    void updateLeftRightNoBecauseRemove(@Param("predictionId") String predictionId, @Param("leftNo") Integer leftNo, @Param("rightNo") Integer rightNo, @Param("offset") Integer offset, @Param("offsetDeep") int offsetDeep);

    /**
     * @Title: updateLeftNoInPartTree
     * @Description: 由于子树的增删, 批量调整左序号.
     * @param predictionId
     * @param leftNo 左序号
     * @param maxNo 最大序号
     * @param offset void
     */
    void updateLeftNoInPartTree(@Param("predictionId") String predictionId, @Param("leftNo")Integer leftNo, @Param("maxNo")  Integer maxNo, @Param("offset") int offset);

    /**
     * @Title: updateRightNoInPartTree
     * @Description: 由于子树的增删, 批量调整右序号.
     * @param predictionId
     * @param rightNo 右序号
     * @param maxNo 最大序号
     * @param offset void
     */
    void updateRightNoInPartTree(@Param("predictionId") String predictionId, @Param("rightNo") Integer rightNo, @Param("maxNo")  Integer maxNo, @Param("offset") int offset);

    void updateParentStructureId(@Param("predictionId") String predictionId, @Param("leftNo")  int leftNo, @Param("rightNo")  int rightNo, @Param("enableStructureId") String enableStructureId, @Param("structureId") String structureId);
}
