package com.nationrel.modules.rp.service;

import com.nationrel.modules.rp.entity.PredictionCategory;
import com.baomidou.mybatisplus.extension.service.IService;
import com.nationrel.modules.rp.entity.PredictionInfo;
import com.nationrel.modules.rp.entity.PredictionTableCategoryRelation;
import com.nationrel.modules.rp.req.PredictionCategoryFormReq;
import com.nationrel.modules.rp.resp.PredictionCategoryFormResp;
import com.nationrel.modules.rp.resp.PredictionCategoryResp;

/**
 * @Description: prediction_category
 * @Author: nationrel
 * @Date:   2024-09-06
 * @Version: V1.0
 */
public interface IPredictionCategoryService extends IService<PredictionCategory> {

    /**
     * @Description 获取类别
     * @param
     * @return com.nationrel.modules.rp.resp.PredictionCategoryResp
     * @Author nijun
     * @Date: 2024/9/6 16:50
     */
    PredictionCategoryResp getPredictionCategory();

    /**
     * @Description 获取类别下的表单
     * @param predictionCategoryFormReq
     * @return com.nationrel.modules.rp.resp.PredictionCategoryFormResp
     * @Author nijun
     * @Date: 2024/9/8 23:23
     */
    PredictionCategoryFormResp getCategoryForm(PredictionCategoryFormReq predictionCategoryFormReq);

    /**
     * @Description 保存/更新类别表单关系表
     * @param predictionTableCategoryRelation
     * @return PredictionInfo
     * @Author nijun
     * @Date: 2024/9/10 16:41
     */
    PredictionInfo saveOrUpdateRelation(PredictionTableCategoryRelation predictionTableCategoryRelation);
}
