package com.nationrel.modules.rp.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.nationrel.modules.rp.aop.UpdatePrediction;
import com.nationrel.modules.rp.entity.PredictionColumns;
import com.nationrel.modules.rp.entity.PredictionInfo;
import com.nationrel.modules.rp.mapper.PredictionColumnsMapper;
import com.nationrel.modules.rp.mapper.PredictionInfoMapper;
import com.nationrel.modules.rp.req.PredictionColumnsOptReq;
import com.nationrel.modules.rp.service.IPredictionColumnsService;
import org.apache.shiro.SecurityUtils;
import org.jeecg.common.system.vo.LoginUser;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.util.CollectionUtils;

import java.util.Date;
import java.util.List;

/**
 * @Description: prediction_columns
 * @Author: nationrel
 * @Date:   2024-08-26
 * @Version: V1.0
 */
@Service
public class PredictionColumnsServiceImpl extends ServiceImpl<PredictionColumnsMapper, PredictionColumns> implements IPredictionColumnsService {

    @Autowired
    private PredictionColumnsMapper predictionColumnsMapper;
    @Autowired
    private PredictionInfoMapper predictionInfoMapper;

    @Override
    @UpdatePrediction
    @Transactional(rollbackFor = Exception.class)
    public PredictionInfo optColumns(List<PredictionColumnsOptReq> predictionColumnsOptReqList) {
        LoginUser sysUser = (LoginUser) SecurityUtils.getSubject().getPrincipal();
        PredictionInfo predictionInfo = predictionInfoMapper.selectById(predictionColumnsOptReqList.get(0).getPredictionId());
        List<PredictionColumns> predictionColumns = predictionColumnsMapper.selectList(new LambdaQueryWrapper<PredictionColumns>()
                .eq(PredictionColumns::getPredictionId, predictionColumnsOptReqList.get(0).getPredictionId()));
        predictionColumns.forEach(column -> {
            List<PredictionColumnsOptReq> list = predictionColumnsOptReqList.stream().filter(req -> req.getPredictionId().equals(column.getPredictionId()) &&
                    req.getColumnId().equals(column.getId())).toList();
            if (!CollectionUtils.isEmpty(list)) {
                PredictionColumnsOptReq columnsOptReq = list.get(0);
                column.setColSort(columnsOptReq.getSort());
                column.setDisplayFlag(columnsOptReq.getDisplayFlag()?"0":"1");
                column.setUpdateBy(sysUser.getUsername());
                column.setUpdateTime(new Date());
            }
        });
        this.updateBatchById(predictionColumns);
        return predictionInfo;
    }


}
